#
# spec file for package hashdeep
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hashdeep
Version:        4.4
Release:        bp155.3.11
Summary:        Compute MD5, SHA-1, SHA-256, Tiger or Whirlpool message digests
License:        SUSE-Public-Domain AND GPL-2.0-or-later
Group:          System/Base
URL:            http://md5deep.sourceforge.net/
Source0:        https://github.com/jessek/hashdeep/archive/release-%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM
Patch0:         0001-Fix-errors-found-by-clang.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
Provides:       md5deep = %{version}
Obsoletes:      md5deep < %{version}

%description
hashdeep is a program to compute, match, and audit hashsets.
md5deep computes the MD5, SHA-1, SHA-256, Tiger, or Whirlpool message digest
for any number of files while optionally recursively digging through the
directory structure. md5deep can also match input files against lists of known
hashes in a variety of formats.

%prep
%autosetup -p1 -n %{name}-release-%{version}

%build
autoreconf -fiv
%configure
%make_build

%install
%make_install
%fdupes %{buildroot}

%files
%license COPYING
%doc AUTHORS ChangeLog README NEWS
%{_bindir}/hashdeep
%{_bindir}/md5deep
%{_bindir}/sha1deep
%{_bindir}/sha256deep
%{_bindir}/tigerdeep
%{_bindir}/whirlpooldeep
%{_mandir}/man1/hashdeep.1%{?ext_man}
%{_mandir}/man1/md5deep.1%{?ext_man}
%{_mandir}/man1/sha1deep.1%{?ext_man}
%{_mandir}/man1/sha256deep.1%{?ext_man}
%{_mandir}/man1/whirlpooldeep.1%{?ext_man}
%{_mandir}/man1/tigerdeep.1%{?ext_man}

%changelog
* Mon May 31 2021 Christophe Giboudeaux <christophe@krop.fr>
- Add patch to fix build with GCC 11:
  * 0001-Fix-errors-found-by-clang.patch
* Mon Mar 30 2020 Martin Pluskal <mpluskal@suse.com>
- Use source url for sources
- Cleanup spec file
- Drop not needed dependencies
* Tue Jul  1 2014 elchevive@opensuse.org
- updated to version 4.4
- package rename following upstream: md5deep->hashdeep
  * New Features
    Added case insensitive auditing with -E mode
  * Bug Fixes
    Added checks against user errors on Hashdeep command line
    Fixed bug for known filenames with the directory in the filename
    Fixed bug for double dots in the filename
* Fri Oct 26 2012 elchevive@opensuse.org
- updated to version 4.3
  * Bug Fixes
    Fixed check for endian-ness, affecting hash generation on
    big-endian platforms.
* Mon Jun 11 2012 elchevive@opensuse.org
- updated to version 4.2
  * Bug Fixes
    Fixed padding in Tiger hashes for large files
    Fixed hashdeep bug for known files with commas in their names.
    Cleaned up usage message
* Thu Feb 23 2012 elchevive@opensuse.org
- Updated to version 4.1
- Add smp_flags and optflags to make
- update licente tag
  * New Features
    Added expert mode option to parse Windows PE files
  * Bug Fixes
    Fixed junction point handling on Win32
* Wed Jan 25 2012 elchevive@opensuse.org
- Updated to version 4.0.1
  * Bug Fixes
    Fixed hang on DFXML generation on Win32
    Fixed incorrect hashes via stdin on Win32
    Fixed "Too many open files" error on OS X
    Doc files in Win32 have been corrected.
* Fri Jan 13 2012 elchevive@opensuse.org
- Updated to version 4.0.0
  * New Features
    Rewrote most of the program in C++.
    Enabled multiprocessor support on all platforms.
    Removed ten character limit on file size mode
  * Bug Fixes
    Too numerous to count!
* Wed Jul 27 2011 elchevive@opensuse.org
  * New Features
    Added a warning message when running 32-bit versions of the
    programs on a 64-bit system.
  * Bug Fixes
    Fixed a cosmetic bug in the hashdeep header.
* Mon Jun  6 2011 elchevive@opensuse.org
- Updated to version 3.9.1
* Thu May 12 2011 elchevive@opensuse.org
- Remove licenses dep. from spec file
* Mon May  2 2011 elchevive@opensuse.org
- Updated to version 3.9
* Mon Dec 27 2010 elchevive@opensuse.org
- Updated to version 3.7
* Sun Sep 19 2010 elchevive@opensuse.org
- Initial package
